org.apache.cassandra.utils

## Class JVMStabilityInspector.Killer

- java.lang.Object
- - org.apache.cassandra.utils.JVMStabilityInspector.Killer

Enclosing class:
  JVMStabilityInspector

    public static class JVMStabilityInspector.Killer
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Killer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `killCurrentJVM(java.lang.Throwable t)` Certain situations represent "Die" conditions for the server, and if so, the reason is logged and the current JVM is killed.
`protected void` `killCurrentJVM(java.lang.Throwable t, boolean quiet)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Killer

    public Killer()

### Method Detail

#### killCurrentJVM

    protected void killCurrentJVM(java.lang.Throwable t)

Certain situations represent "Die" conditions for the server, and if so, the reason is logged and the current JVM is killed.

Parameters:
  `t` - The Throwable to log before killing the current JVM

#### killCurrentJVM

    protected void killCurrentJVM(java.lang.Throwable t,
                                  boolean quiet)